TIMEW(1)

NAME
timew - a command line time tracker

SYNOPSIS

timew [--version|--help]
timew [<command> [<arg>...]]

DESCRIPTION

Timewarrior is a command line time tracker. It allows you to easily track your time and generate summary reports.

This is a reference, not a tutorial. If you are looking for a tutorial, check the online documentation here:

    https://timewarrior.net/docs/

When run without arguments or options, the default command is run, which indicates whether there is any active tracking, and if so, shows a summary and exits with code 0. If there is no active time tracking, exit code is 1.

OPTIONS

--version
    Display Timewarrior version information

--help
    Display Timewarrior usage information

TIMEWARRIOR COMMANDS

Timewarrior supports many commands. Alphabetically:

timew-annotate(1)
    Add annotation to intervals

timew-cancel(1)
    Cancel time tracking

timew-config(1)
    Get and set Timewarrior configuration

timew-continue(1)
    Resume tracking of existing interval

timew-day(1)
    Display day chart

timew-delete(1)
    Delete intervals

timew-diagnostics(1)
    Show diagnostic information

timew-export(1)
    Export tracked time in JSON

timew-extensions(1)
    List available extensions

timew-get(1)
    Display DOM values

timew-help(1)
    Display help

timew-join(1)
    Join intervals

timew-lengthen(1)
    Lengthen intervals

timew-modify(1)
    Change start or end time of an interval

timew-month(1)
    Display month chart

timew-move(1)
    Change interval start-time

timew-report(1)
    Run an extension report

timew-resize(1)
    Set interval duration

timew-retag(1)
    Replace tags in intervals

timew-shorten(1)
    Shorten intervals

timew-show(1)
    Display configuration

timew-split(1)
    Split intervals

timew-start(1)
    Start time tracking

timew-stop(1)
    Stop time tracking

timew-summary(1)
    Display a time-tracking summary

timew-tag(1)
    Add tags to intervals

timew-tags(1)
    Display a list of tags

timew-track(1)
    Add intervals to the database

timew-undo(1)
    Undo Timewarrior commands

timew-untag(1)
    Remove tags from intervals

timew-week(1)
    Display week chart

MORE EXAMPLES

For examples please see the online documentation at:

Note that the online documentation is often more detailed and more current than this man page.

FILES

  Non-Unix systems

~/.timewarrior/timewarrior.cfg
    User configuration file.

~/.timewarrior/data/YYYY-MM.data
    Time tracking data files.

  Unix systems

${XDG_CONFIG_HOME:-$HOME/.config}/timewarrior/timewarrior.cfg
    User configuration file if legacy ~/.timewarrior directory doesn’t exist.

${XDG_DATA_HOME:-$HOME/.local/share}/timewarrior/data/YYYY-MM.data
    Time tracking data files if legacy ~/.timewarrior directory doesn’t exist.

CREDITS & COPYRIGHT

Copyright © 2015 - 2025 Gothenburg Bit Factory.
Timewarrior is distributed under the MIT license. See for more information.

FURTHER DOCUMENTATION

For more information regarding Timewarrior, see the following:

The official site at

The official code repository at

You can contact the project by emailing

REPORTING BUGS

Bugs in Timewarrior may be reported to the issue-tracker at

SEE ALSO

timew-config(7), timew-dates(7), timew-dom(7), timew-durations(7), timew-hints(7), timew-ranges(7)